<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<style type="text/css"> /* <![CDATA[ */
  @import "branding/css/tigris.css";
  @import "branding/css/inst.css";
  /* ]]> */</style>
<link rel="stylesheet" type="text/css" media="print"
  href="branding/css/print.css"/>
<script type="text/javascript" src="branding/scripts/tigris.js"></script>
<title>Subversion Links</title>
</head>

<body>
<div class="app">

<h1 style="text-align: center;">Links</h1>

<p><b>Disclaimer:</b> These links are provided as a service to Subversion
users. Neither Tigris.org, CollabNet Inc. nor the Subversion team
guarantee the correctness, validity or usefulness of these links.</p>

<p>If you're looking for testimonials, please
see our <a href="testimonials.html">testimonials page</a> instead.</p>

<p>To add your link to this page, please make a patch against its source,
and follow the <a href="hacking.html#patches">patch submission guidelines</a>.
</p>

<div class="h2" id="mail-archives" title="mail-archives">
<h2>Mailing list archives</h2>
    <ul>
      <li><p><b>Home site mailing list archives</b><br/>
  <a href="http://subversion.tigris.org/servlets/SearchList?listName=users"
     >http://subversion.tigris.org/servlets/SearchList?listName=users</a>
         <br/>
  <a href="http://subversion.tigris.org/servlets/SearchList?listName=dev"
     >http://subversion.tigris.org/servlets/SearchList?listName=dev</a>
         <br/>
  <a href="http://subversion.tigris.org/servlets/SearchList?listName=announce"
     >http://subversion.tigris.org/servlets/SearchList?listName=announce</a>
         <br/>
        &nbsp;<br/>
        Here you can locate an archived message and thread from its Message-ID:
        <br/>
        <a href="http://www.red-bean.com/threadfind/"
                >http://www.red-bean.com/threadfind/</a><br/>
      </p>
      </li>
      <li><p><b>Alternate (mirror) mailing list archives</b><br/>
        The Haxx archives have a better user interface than the home site
        archives:<br/>
        <a href="http://svn.haxx.se/dev/"
                >http://svn.haxx.se/dev/</a><br/>
        <a href="http://svn.haxx.se/users/"
                >http://svn.haxx.se/users/</a><br/>
        &nbsp;<br/>
        <a href="http://news.gmane.org/index.php?prefix=gmane.comp.version-control.subversion"
                >http://news.gmane.org/index.php?prefix=gmane.comp.version-control.subversion</a><br/>
        &nbsp;<br/>
        <a href="http://marc.info/?l=subversion-announce"
                >http://marc.info/?l=subversion-announce</a><br/>
<!--
        <a href="http://marc.info/?l=subversion-breakage"
                >http://marc.info/?l=subversion-breakage</a><br/>
-->
        <a href="http://marc.info/?l=subversion-cvs"
                >http://marc.info/?l=subversion-cvs</a>
                (Actually, the svn commits list, misnamed)<br/>
        <a href="http://marc.info/?l=subversion-dev"
                >http://marc.info/?l=subversion-dev</a><br/>
        <a href="http://marc.info/?l=subversion-issues"
                >http://marc.info/?l=subversion-issues</a><br/>
<!--
        <a href="http://marc.info/?l=subversion-users"
                >http://marc.info/?l=subversion-users</a><br/>
-->
      </p>
      </li>
      <li><p><b>Email-&gt;RSS Gateways</b><br/>
        Alessandro Massaro has set up Email-&gt;RSS feeds for the users@
        and announce@ mailing lists:<br/>
        <a href="http://mailbucket.org/subversion-users.xml"
                >http://mailbucket.org/subversion-users.xml</a><br/>
        <a href="http://mailbucket.org/subversion-announce.xml"
                >http://mailbucket.org/subversion-announce.xml</a><br/>
        See <a
        href="http://subversion.tigris.org/servlets/ReadMsg?list=users&amp;msgNo=56321"
        >his email</a> about it for more.
      </p>
      </li>
    </ul>

</div>

<div class="h2" id="dev-docs" title="dev-docs">
<h2>Documentation for developers</h2>
    <ul>
      <li><p><b>Subversion API Documentation</b><br/>
        <a href="http://svn.collab.net/svn-doxygen/"
                >http://svn.collab.net/svn-doxygen/</a></p>
      </li>
    </ul>

</div>

<div class="h2" id="books" title="books">
<h2>Books</h2>
    <ul>
      <li><p><b>"Version Control with Subversion"</b> - 
        A Subversion book by Ben Collins-Sussman, Brian
        W. Fitzpatrick, and C. Michael Pilato;<br/> 
        treeware available from O'Reilly, plus full sources/HTML/PDF
        available online<br/>
        <a href="http://svnbook.red-bean.com/"
                >http://svnbook.red-bean.com/</a></p>
      </li>

      <li><p><b>"Practical Subversion, Second Edition"</b> -
        A Subversion book by Dan Berlin and Garrett Rooney;<br/>
        one chapter free online<br/>
        <a href="http://apress.com/book/bookDisplay.html?bID=10203"
                >http://apress.com/book/bookDisplay.html?bID=10203</a></p>
      </li>

      <li><p><b>"Pragmatic Version Control Using Subversion"</b> -
        A Subversion book by Mike Mason;<br/>
        two chapters free online <br/>
        <a href="http://www.pragmaticprogrammer.com/titles/svn/"
                >http://www.pragmaticprogrammer.com/titles/svn/</a></p>
      </li>

      <li><p><b>"Subversion Version Control : Using the Subversion
        Version Control System in Development Projects"</b> -
        A Subversion book by William Nagel;<br/>
        hardcopy published by Prentice Hall, downloadable as a PDF under the
        Open Publication License;<br/>
        <a href="http://www.williamnagel.net/svn.php"
                >http://www.williamnagel.net/svn.php</a></p>
      </li>

      <li><p><b>"Subversion in Action"</b> -
        A Subversion book by Jeffrey Machols;<br/>
        two chapters free online<br/>
        The book is available in pdf format only<br/>
        <a href="http://www.manning.com/machols/"
                >http://www.manning.com/machols/</a></p>
      </li>

      <li><p><b>"Subversion"</b> -
        A German (Deutsch) Subversion book by Frank Budszuhn;<br/>
        some chapters free online<br/>
        <a href="http://www.galileocomputing.de/929?GPP=subversion"
                >http://www.galileocomputing.de/929?GPP=subversion</a></p>
      </li>

      <li><p><b>"Versionsmanagement mit Subversion"</b> -
        A German (Deutsch) Subversion book by Tobias Wassermann based on Subversion 1.4;<br/>
        <a href="http://mitp.de/vmi/mitp/detail/pWert/1662/titel/Versionsmanagement%20mit%20Subversion"
                >http://mitp.de/vmi/mitp/detail/pWert/1662/titel/Versionsmanagement%20mit%20Subversion</a></p>
      </li>
    </ul>
</div>

<div class="h2" id="clients" title="clients">
<h2>Clients and plugins</h2>
    <ul>
      <li><p><b>Aigenta Unified SCC</b> - Subversion/CVS add-in for
        MSSCCI-compatible programs, including Microsoft Visual Studio
        and other programs<br/>
        <a href="http://aigenta.com/products/UnifiedScc.aspx"
                >http://aigenta.com/products/UnifiedScc.aspx</a>
      </p></li>

      <li><p><b>AnkhSVN</b> - A Subversion addin for Microsoft 
        Visual Studio .NET<br/>
        <a href="http://ankhsvn.tigris.org/"
                >http://ankhsvn.tigris.org/</a>
      </p></li>

      <li><p><b>CW Subversion</b> - A VCS plugin for Metrowerks CodeWarrior<br/> 
        <a href="http://www.soundgeek.org/software/SubversionPlugin/"
                >http://www.soundgeek.org/software/SubversionPlugin/</a>
      </p></li>

      <li><p><b>Eric</b> - Python IDE with Subversion integration;
        written in PyQt, uses QScintilla editor widget<br/>
        <a href="http://www.die-offenbachs.de/detlev/eric.html"
                >http://www.die-offenbachs.de/detlev/eric.html</a>
      </p></li>

      <li><p><b>eSvn</b> - cross-platform QT-based GUI frontend to Subversion<br/>
        <a href="http://esvn.umputun.com/"
                >http://esvn.umputun.com/</a>
      </p></li>

      <li><p><b>FSVS</b> - fast subversion command-line client centered
        around software deployment<br/>
        <a href="http://fsvs.tigris.org/"
                >http://fsvs.tigris.org/</a>
      </p></li>

      <li><p><b>JDeveloper</b> - Oracle's free integrated development
        environment with end-to-end support for modeling, developing,
        debugging, optimizing, and deploying Java applications and Web
        services, now with a <a 
        href="http://www.oracle.com/technology/products/jdev/htdocs/partners/addins/exchange/subversion/subversion.html"
        >Subversion plugin</a>.<br/>
        (<i>Note that this is not an Open Source project.</i>)
        <br/>
        <a href="http://www.oracle.com/technology/products/jdev/"
                >http://www.oracle.com/technology/products/jdev/</a>
      </p></li>

      <li><p><b>KDESvn</b> - A Subversion client for KDE<br/>
        <a href="http://www.alwins-world.de/wiki/programs/kdesvn"
                >http://www.alwins-world.de/wiki/programs/kdesvn</a>
      </p></li>

      <li><p><b>KSvn</b> - A Subversion client for KDE -- a plugin for Konqueror<br/>
        <a href="http://apps.intra-links.com/"
                >http://apps.intra-links.com/</a>
      </p></li>

      <li><p><b>Netbeans</b> - Sun's open source Java integrated
        development environment.  Includes a Subversion integration
        module.<br/>
        <a href="http://subversion.netbeans.org/"
                >http://subversion.netbeans.org/</a>
      </p></li>

      <li><p><b>psvn.el</b> - A Subversion interface for emacs<br/>
        <a href="http://xsteve.nit.at/prg/vc_svn/"
                >http://xsteve.nit.at/prg/vc_svn/</a>
      </p></li>

      <li><p><b>QSvn</b> - A cross-platform GUI Subversion client<br/>
        <a href="http://ar.oszine.de/projects/qsvn/"
                >http://ar.oszine.de/projects/qsvn/</a>
      </p></li>

      <li><p><b>RapidSVN</b> - A cross-platform GUI front-end for Subversion<br/>
        <a href="http://rapidsvn.tigris.org/"
                >http://rapidsvn.tigris.org/</a>
      </p></li>

      <li><p><b>RSVN</b> - Python script which allows multiple
        repository-side operations in a single, atomic transaction.<br/>
        <a href="https://opensvn.csie.org/traccgi/rsvn/trac.cgi/wiki"
                >https://opensvn.csie.org/traccgi/rsvn/trac.cgi/wiki</a>
      </p></li>

      <li><p><b>SmartSVN</b> - A cross-platform GUI client for Subversion<br/>
        (<i>Not open source.  Available in a free and a commercial
        version.</i>)
        <br/>
        <a href="http://www.syntevo.com/smartsvn/"
                >http://www.syntevo.com/smartsvn/</a>
      </p></li>

      <li><p><b>SCPlugin</b> - Subversion integration for Mac OS X Finder<br/>
        <a href="http://scplugin.tigris.org/"
                >http://scplugin.tigris.org/</a>
      </p></li>
      
      <li><p><b>Subclipse</b> - A Subversion Eclipse Plugin<br/>
        <a href="http://subclipse.tigris.org/"
                >http://subclipse.tigris.org/</a>
      </p></li>

      <li><p><b>Subcommander</b> - A cross-platform Subversion GUI client
        including a visual text merge tool.<br/>
         <a href="http://subcommander.tigris.org/"
                 >http://subcommander.tigris.org/</a>
      </p></li>

      <li><p><b>Subversive</b> - A Subversion Eclipse Plugin<br/>
      <a href="http://www.polarion.org/index.php?page=overview&amp;project=subversive"
              >http://www.polarion.org/index.php?page=overview&amp;project=subversive</a>
      </p></li>
          
      <li><p><b>SvnX</b> - A Mac OS X Panther GUI client.<br/>
        <a
        href="http://www.lachoseinteractive.net/en/community/subversion/svnx/"
        >http://www.lachoseinteractive.net/en/community/subversion/svnx/</a>
      </p></li>

      <li><p><b>SVN SCC Proxy</b> - A SCC add-in for SVN<br/>
        (<i>Note that this is not an Open Source project.</i>)
        <br/>
        <a href="http://www.pushok.com/soft_svn.php"
                >http://www.pushok.com/soft_svn.php</a>
      </p></li>

      <li><p><b>TortoiseSVN</b> - A Subversion client, implemented as a windows 
        shell extension<br/>
        <a href="http://tortoisesvn.tigris.org/"
                >http://tortoisesvn.tigris.org/</a>
      </p></li>

      <li><p><b>Vcscommand.vim</b> - CVS/SVN/SVK integration plugin
      for the vim editor<br/>
        <a href="http://www.vim.org/scripts/script.php?script_id=90">http://www.vim.org/scripts/script.php?script_id=90</a>
      </p></li>
 
      <li><p><b>VisualSVN</b> - Subversion integration for Visual Studio .NET
        2003 &amp; 2005<br/>
        (<i>This is a commercial closed-source product.</i>)
        <br/>
        <a href="http://www.visualsvn.com">http://www.visualsvn.com</a>
      </p></li>
 
      <li><p><b>WLW-SVN</b> - WebLogic Workshop (8.1.3/8.1.4)
        Extension for Subversion<br/> 
        <a href="https://wlw-svn.projects.dev2dev.bea.com/"
                >https://wlw-svn.projects.dev2dev.bea.com/</a>
      </p></li>

      <li><p><b>WorkBench</b> - Cross platform software development GUI
        built on Subversion written in Python<br/>
        <a href="http://pysvn.tigris.org/"
                >http://pysvn.tigris.org/</a>
      </p></li>

      <li><p><b>ZigVersion</b> - a Subversion Interface for Mac OS X. Aims to
        design an interface around the typical workflows of programmers.<br/>
        (<i>Note that this is not open source.</i>)
        <br/>
        <a href="http://zigversion.com/"
                >http://zigversion.com/</a>
      </p></li>

    </ul>

</div>

<div class="h2" id="bindings" title="bindings">
<!-- leaving old "lang_bindings" id for compatibility -->
<h2 id="lang_bindings">Subversion Language bindings</h2>
    <ul>
      <li><p><b>Subversion</b> -
        <a
        href="http://svn.collab.net/repos/svn/trunk/subversion/bindings/swig/python/">Python</a>,
        <a
        href="http://svn.collab.net/repos/svn/trunk/subversion/bindings/swig/perl/">Perl</a>,
        <a
        href="http://svn.collab.net/repos/svn/trunk/subversion/bindings/javahl/">Java</a>,
        and <a
        href="http://svn.collab.net/repos/svn/trunk/subversion/bindings/swig/ruby/">Ruby</a>
        bindings to Subversion API analogous to the core C API<br/>
        <a href="http://subversion.tigris.org/"
                >http://subversion.tigris.org/</a>
      </p></li>

      <li><p><b>PySVN</b> - Object-oriented Python bindings for the
        Subversion client API<br/>
        <a href="http://pysvn.tigris.org/"
                >http://pysvn.tigris.org/</a>
      </p></li>

      <li><p><b>SVNKit</b> - Pure Java Subversion client library<br/>

        <a href="http://svnkit.com/"
                >http://svnkit.com/</a>
      </p></li>

      <li><p><b>SVNCPP</b> - C++ object oriented bindings for the
        Subversion client API<br/>

        <a href="http://rapidsvn.tigris.org/"
                >http://rapidsvn.tigris.org/</a>
      </p></li>

      <li><p><b>SubversionSharp</b> - C# bindings<br/>
        <a href="http://www.softec.st/SubversionSharp"
                >http://www.softec.st/SubversionSharp</a>
      </p></li>

      <li><p><b>PECL SVN (PHP)</b> - PHP bindings<br/>
        <a href="http://pecl.php.net/package/svn"
                >http://pecl.php.net/package/svn</a>
      </p></li>
    </ul>

</div>

<div class="h2" id="converters" title="converters">
<h2>Repository converters</h2>
    <ul>
      <li><p><b>cvs2svn</b> - CVS to Subversion conversion<br/>
        cvs2svn has become its own project now, look at:<br/>
        <a href="http://cvs2svn.tigris.org/"
                >http://cvs2svn.tigris.org/</a>
      </p></li>

      <li><p><b>p42svn</b> - Perforce to Subversion conversion<br/>
        A Perl script which converts a Perforce depot to a
        Subversion repository<br/>
        <a href="http://p42svn.tigris.org/"
                >http://p42svn.tigris.org/</a>
      </p></li>

      <li><p><b>rcs2svn</b> - RCS to Subversion conversion<br/>
        A Perl script which converts RCS repositories to a
        Subversion repository<br/>
        <a href="http://www.coelho.net/rcs2svn.html"
                >http://www.coelho.net/rcs2svn.html</a>
      </p></li>

      <li><p><b>sccs2svn.py</b> - SCCS to Subversion conversion<br/>
        A Python script which converts SCCS repositories to a
        Subversion repository<br/>
        <a href="http://sccs2svn.berlios.de/"
                >http://sccs2svn.berlios.de/</a>
      </p></li>
          
      <li><p><b>svn-dump2dir</b> and <b>svn-dir2dump</b> - Convert
        back and forth between a subversion dump file and a subversion
        dump directory.<br/> A "dump directory" is isomorphic to a dump
        file but all of the fields have been exploded out into their own
        files so that the field length counts are implicit.  It is
        straightforward to hack on or patch the history a subversion
        repository when in this dump directory form.  Also includes a
        reimplementation of patch that is more helpful when files are
        missing, as occurs in the incremental dump form.  A precise
        grammar for the subversion dump file format is also
        provided.<br/>
      <a href="http://www.cubewano.org/blacktackle"
              >http://www.cubewano.org/blacktackle</a>
      </p></li>

      <li><p><b>SVN Importer</b> - Migrate to SVN from MKS, VSS,
        ClearCase, Star Team, PVCS, CVS<br/>
        <a href="http://www.polarion.org/index.php?page=overview&amp;project=svnimporter"
                >http://www.polarion.org/index.php?page=overview&amp;project=svnimporter</a>
      </p></li>      

      <li><p><b>Tailor</b> - a tool to migrate changesets between ArX,
        Bazaar, Bazaar-NG, CVS, Codeville, Darcs, Git, Mercurial,
        Monotone, Subversion and Tla repositories.
        Supports incremental conversion.<br/>
        <a href="http://www.darcs.net/DarcsWiki/Tailor"
                >http://www.darcs.net/DarcsWiki/Tailor</a>
      </p></li>

      <li><p><b>vss2svn</b> - Microsoft Visual Source Safe (VSS) to
       Subversion<br/>
       <a href="http://www.pumacode.org/projects/vss2svn"
               >http://www.pumacode.org/projects/vss2svn</a>
      </p></li>

    </ul>

</div>

<div class="h2" id="community-sites" title="community-sites">
<!-- old "community_sites" id left for compatibility -->
<h2 id="community_sites">Community sites</h2>
   <ul>
     <li><p><b>Subversionary</b> - A 
       <a href="http://subwiki.tigris.org/">SubWiki</a>-based site
       for the promotion of Subversion and for collecting information
       on how to configure and use Subversion.<br/> 
       <a href="http://www.subversionary.org/"
               >http://www.subversionary.org/</a></p>
     </li>
     <li><p><b>SVNForum</b> - A Subversion community help and discussion
       forum for exchanging information and tips with other Subversion
       users.<br/>
     <a href="http://svnforum.org/"
             >http://svnforum.org/</a></p>
     </li>
     <li><p><b>Subversion Wiki</b> - A 
       <a href="http://www.mediawiki.org/">Mediawiki</a>-based Wiki
       for best-practices, configuration and usage of Subversion and
       related tools.<br/>
       <a href="http://www.orcaware.com/svn/wiki/"
               >http://www.orcaware.com/svn/wiki/</a></p>
     </li>

     <li><p><b>openCollabNet</b> - Contains downloads (such as
       Subversion compiled and tested by CollabNet), technical
       content, training and ways to interact with CollabNet's
       Subversion engineers (via forums or the <a
       href="http://blogs.open.collab.net/svn/">Submerged
       blog</a>). Become a member and get more, such as a free online
       Subversion training class.<br/>
       <a href="http://open.collab.net/"
               >http://open.collab.net/</a></p>
     </li>
   </ul>

</div>

<div class="h2" id="hosting" title="hosting">
<h2>Sites that Offer Subversion Hosting</h2>

  <ul>

    <li><p><strong>berlios.de</strong>:  free hosting for open-source projects<br/>
      <a href="http://www.berlios.de/"
              >http://www.berlios.de/</a></p>

      <p><em>"The goal of BerliOS is to provide support for different
         interest groups in the area of Open Source Software
         (OSS).  Our aim is to fulfil a neutral mediator function. The
         target groups of BerliOS are on one hand the developers and
         users of Open Source Software and on the other hand
         commercial manufacturers of OSS operating systems and
         applications as well as support companies."</em></p>
    </li>

    <li><p><strong>ObjectWeb</strong>:  open source middleware<br/>
      <a href="http://www.objectweb.org/"
              >http://www.objectweb.org/</a></p>

      <p><em>"ObjectWeb is an international consortium fostering the
         development of open-source middleware for cutting-edge
         applications: EAI, e-business, clustering, grid computing,
         managed services and more."</em>  Their hosting software is
         GForge, with integrated Subversion support.  See
         <a
         href="http://www.objectweb.org/phorum/read.php?f=49&amp;i=37&amp;t=37"
         >http://www.objectweb.org/phorum/read.php?f=49&amp;i=37&amp;t=37</a>
         for details.</p>
    </li>

    <li><p><strong>CollabNet</strong>: commercial software development
           collaboration platform, with Subversion integration<br/> 
      <a href="http://www.collab.net/subversion/"
              >http://www.collab.net/subversion/</a></p>

      <p><em>"CollabNet Enterprise Edition (CEE) delivers a complete
          software development and collaboration platform, offered as
          a managed service, with full Subversion integration.
          CollabNet also offers Subversion On Demand, a hosted
          Subversion development environment, and Subversion support
          and training."</em></p>
    </li>

    <li><p><strong>CVSDude</strong>: free and commercial Subversion
            hosting<br/>
      <a href="http://cvsdude.com/"
              >http://cvsdude.com/</a></p>

      <p><em>"CVSDude is a free CVS server and Subversion server.  We
          provide cvs hosting and Subversion hosting for software
          developers, software teams, graphic artists, project
          managers and the like.  You can use your favourite software
          client to access our CVS and Subversion servers. Our basic
          or 'free' service is limited but we do offer commercial
          upgrades..."</em></p>
    </li>

    <li><p><strong>SourceHosting.net</strong>:  commercial Subversion hosting<br/>
      <a href="http://www.sourcehosting.net/"
              >http://www.sourcehosting.net/</a></p>

      <p><em>"SourceHosting.net provides fully-managed Subversion hosting, as
          well as Bugzilla and CVS hosting packages. Hourly, secure offsite
          backups are included in all of our hosting plans, and add-on tools
          such as WebSVN and CVSweb are available as well."</em></p>
    </li>

    <li><p><strong>wush.net</strong>:  commercial Subversion hosting<br/>
      <a href="http://www.wush.net/"
              >http://www.wush.net/</a></p>

      <p><em>"We provide professional quality Subversion hosting for
         individuals and small businesses.  Our plans include a suite
         of integrated software designed to complement
         Subversion."</em></p>
    </li>

    <li><p><strong>hosted-projects.com</strong>: commercial Subversion
        hosting<br/>
      <a href="http://www.hosted-projects.com"
              >http://www.hosted-projects.com/</a></p>

      <p><em>"svn-hosting.com provides professional Subversion hosting.
          We offer everything from small repositories to dedicated
          Subversion servers to provide you a stable backend for your
          critical work."</em></p>
    </li>

    <li><p><strong>ProjectLocker</strong>: commercial Subversion hosting<br/>
      <a href="http://www.projectlocker.com/"
              >http://www.projectlocker.com/</a></p>

      <p><em>"ProjectLocker offers professional Subversion hosting, as
          well as additional development process, project management,
          and collaboration tools."</em></p>
    </li>

    <li><p><strong>Gna!</strong>: free hosting for Projects under a
        GPL-compatible license<br/>
      <a href="https://gna.org/index.php"
              >https://gna.org/index.php</a></p>
      <p><em>"Gna! project [is] a central point for development, distribution
         and maintenance of Libre Software (Free Software) projects."</em></p>
    </li>

    <li><p><strong>http://www.projxpert.com/</strong>: professional
        software project hosting site<br />
      <a href="http://www.projxpert.com/"
              >http://www.projxpert.com/</a></p>
    </li>

    <li><p><strong>DevGuard.com</strong>: commercial Subversion hosting<br/>
      <a href="http://www.devguard.com/">http://www.devguard.com/</a></p>

      <p><em>"DevGuard.com offers commercial Subversion hosting  for
          individuals and small businesses.  Secure, encrypted data
          transfer, fast network access, easy to use web admin
          interface."</em></p>
    </li>

    <li><p><strong>AVLUX&nbsp;Solutions</strong>:
                   commercial Subversion hosting<br/>
      <a href="http://www.avlux.net/">http://www.avlux.net/</a></p>

      <p><em>"full-service" web hosting, including (among other
          things) Subversion repositories and WebSVN.</em></p>
    </li>

    <li><p><strong>GeekISP</strong>:
                   commercial Subversion hosting<br/>
      <a href="http://www.geekisp.com/">http://www.geekisp.com/</a></p>

      <p><em>"GeekISP includes CVS and SVN repositories with all
              accounts."</em></p> 
    </li>

    <li><p><strong>TextDrive</strong>:
                   commercial Subversion hosting<br/>
      <a href="http://textdrive.com/">http://textdrive.com/</a></p>

      <p><em>Repository hosting services, from shared hosting to fully
             managed dedicated server clusters.</em></p> 
    </li>

    <li><p><strong>Labyrinth Data Services</strong>:
                   commercial Subversion hosting<br/>
      <a href="http://www.labyrinthdata.net.au/"
              >http://www.labyrinthdata.net.au/</a></p>

      <p><em>Australian-based Linux shell accounts and web hosting;
             unlimited Subversion repositories with all accounts.</em></p>
    </li>

    <li><p><strong>SourceForge.net</strong>:
                   no-charge hosting for open-source projects<br/>
      <a href="http://sourceforge.net/"
              >http://sourceforge.net/</a></p>

      <p><em>Probably the largest open source project hosting site on
             the Net.</em></p>
    </li>

    <li><p><strong>hosted-projects.com</strong>:
                   commercial Subversion hosting<br/>
       <a href="http://www.hosted-projects.com">http://www.hosted-projects.com</a></p>
       <p><em>hosted-projects.com is a company specialized in web hosting services for
              software project teams offering the Subversion revision control system coupled
              with project and issue management software like Trac and Bugzilla.</em></p>
    </li>

    <li><p><strong>google.com</strong>:
                   free Subversion hosting for open source projects<br/>
       <a href="http://code.google.com/hosting/">http://code.google.com/hosting/</a></p>
      <p>
          <em>"Our new hosting service offers a collaborative development
            environment that includes: project workspaces with simple membership controls;
              version control via Subversion;
              issue tracking;
              mailing lists at groups.google.com."
      </em></p>
    </li>

    <li><p><strong>myVersionControl.com</strong>:
                      Subversion Hosting and Project Management<br/>
       <a href="http://www.myversioncontrol.com/"
               >http://www.myversioncontrol.com/</a></p>
      <p>
          <em>Commercial Subversion hosting, integrated with
              other project management services.</em></p>
    </li>

    <li><p><strong>Versionshelf.com</strong>:
      commercial Subversion hosting with free service for students and
      teachers<br/>
      <a href="http://www.versionshelf.com/"
              >http://www.versionshelf.com/</a></p>
      <p><em>Versionshelf has a streamlined webinterface to configure
        and access repositories, users, ACLs, rss feeds, external
        commit triggers, backups... easily. Access is always secured
        through 128-bit SSL data encryption.</em></p>
    </li>

    <li><p><strong>Assembla</strong>: "... free workspaces with
        unlimited team size and integrated tools like wiki,
        discussion, alerts, Subversion, Trac,..." [and more]<br/>
      <a href="http://www.assembla.com/">http://www.assembla.com/</a></p>
      </li>

   <li><p><strong>Code Spaces</strong>:
     free and commercial Subversion hosting<br/>
      <a href="http://www.codespaces.com/"
              >http://www.CodeSpaces.com/</a></p>
      <p><em>"Code Spaces is a development and collaboration platform build on
      top of Subversion, featuring Issue Tracking, Project Management
      and much more.  Code Spaces offers free plans for single users
      and open source or non profit projects..."</em></p>
    </li>

   <li><p><strong>Beanstalk</strong>:
      hosted Subversion management and integration service<br/>
      <a href="http://www.beanstalkapp.com/"
              >http://www.beanstalkapp.com/</a></p>
      <p><em>"Beanstalk is a hosted Subversion system, making it easy
      for anyone to set up, browse, track, and manage Subversion
      repositories. Beanstalk has built-in integration with [...]
      tools such as Basecamp, FogBugz, and Lighthouse."</em></p>
    </li>

    <li><p><strong>8svn</strong>: pay-as-you-go subversion hosting<br/> 
      <a href="http://www.8svn.com/"
              >http://www.8svn.com/</a></p>

      <p><em>"Unlimited Subversion hosting with no monthly fees.
         Pay-as-you-go pricing with an unlimited number of 
         repositories and users."</em></p>
    </li>
    
    <li><p><strong>Springloops</strong>: hosted Subversion dedicated to
                                         web developers<br/> 
      <a href="http://www.springloops.com/"
              >http://www.springloops.com/</a></p>

      <p><em>"Unique source browser, pretty change reviews, code deployments
          and more dedicated to everyday web development."</em></p>
    </li>

  </ul>

</div>

<div class="h2" id="high-level-tools" title="high-level-tools">
<!-- old "high_level_tools" id left for compatibility -->
<h2 id="high_level_tools">Higher-level tools that use Subversion</h2>
    <ul>
      <li><p><b>Trac</b> - Trac is a minimalistic web-based software project
        management and bug/issue tracking system. It provides an
        interface to revision control systems (Subversion),
        an integrated Wiki and convenient report facilities.<br/>
        <a href="http://trac.edgewall.org/"
                >http://trac.edgewall.org/</a>
      </p></li>

      <li><p><b>Subissue</b> - Track issues directly in your 
        Subversion repository [<i>in planning stage</i>]<br/>
        <a href="http://subissue.tigris.org/"
                >http://subissue.tigris.org/</a>
      </p></li>

      <li><p><b>Subwiki</b><br/>
        <a href="http://subwiki.tigris.org/"
                >http://subwiki.tigris.org/</a>
      </p></li>      

      <li><p><b>SharpForge</b> - SharpForge is an open source, c#, asp
        net 2.0, project management web application.<br/>
        <a href="http://sharpforge.org"
                >http://sharpforge.org</a>
      </p></li>

      <li><p><b>svk</b> - a decentralized version control system based on
        subversion<br/>
        <a href="http://svk.elixus.org/"
                >http://svk.elixus.org/</a>
      </p></li>      

      <li><p><b>submaster</b> - SubMaster is a system for distributed
        software development, based on Subversion.<br/>
        <a href="http://www.rocklinux.org/wiki/SubMaster"
                >http://www.rocklinux.org/wiki/SubMaster</a>
      </p></li>

      <li><p><b>Codestriker</b> - a free, open-sourced, collaborative
        code reviewing system; allows teams of developers using
        Subversion (or other SCMs) to create and manage code review
        topics.<br/>
        <a href="http://codestriker.sourceforge.net/"
                >http://codestriker.sourceforge.net/</a>
      </p></li>

      <li><p><b>Scmbug</b> - integrates software configuration management
         with bug-tracking.  It aims to be a universal tool that glues
         version control systems to bug-tracking systems.<br/>
        <a href="http://freshmeat.net/projects/scmbug/"
                >http://freshmeat.net/projects/scmbug/</a>
      </p></li>

      <li><p><b>BugTracker.NET</b> - a free, open source, web-based issue
        tracker for .NET.<br/>
        <a href="http://ifdefined.com/bugtrackernet.html"
                >http://ifdefined.com/bugtrackernet.html</a>
      </p></li>

      <li><p><b>Collaboa</b> - Repository browser and issue tracker,
        similar to Trac.<br/>
        <a href="http://collaboa.org/"
                >http://collaboa.org</a>
      </p></li>

      <li><p><b>DITrack</b> - Lightweight distributed issue tracking system
        using Subversion repository instead of a backend database.<br/>
        <a href="http://www.ditrack.org/"
                >http://www.ditrack.org</a>
      </p></li>
      
      <li><p><b>FastTrack</b> - FastTrack is a zero administration tool
        providing project work planning and tracking integrated into
        Eclipse.  All the tracker data are stored in and shared
        through Subversion.<br/>
      (<i>Not open source, but free of charge.</i>)<br/>
        <a href="http://www.polarion.org/index.php?page=overview&amp;project=fasttrack"
                >http://www.polarion.org/index.php?page=overview&amp;project=fasttrack</a>
      </p></li>      

      <li><p><b>USVN</b> - A web interface to manage Subversion repositories, providing
        an easy way to apply access rights on files in the repository.<br/>
        <a href="http://www.usvn.info/"
                >http://www.usvn.info/</a>
      </p></li>

      <li><p><b>VoilaSVN</b> - Web interface for searching Subversion
      	 repositories on content, path names, properties and dates;
      	 user admininstration with access control; online diff.<br/> 
        (<i>Not open source.  There is a free-of-charge edition.</i>)
        <a href="http://www.voilasvn.com/main/page_download.html"
                >http://www.voilasvn.com/main/page_download.html</a>
      </p></li>

    </ul>

</div>

<div class="h2" id="browsers" title="browsers">
<!-- old "repos_browsing" id left for compatibility -->
<h2 id="repos_browsing">Repository browsing tools</h2>
    <ul>
      <li><p><b>SVN::Web</b><br/>
        <a href="http://search.cpan.org/~nikc/SVN-Web/lib/SVN/Web.pm"
                >http://search.cpan.org/~nikc/SVN-Web/lib/SVN/Web.pm</a>
      </p></li>

      <li><p><b>ViewVC (formerly known as ViewCVS)</b><br/>
        <a href="http://www.viewvc.org/"
                >http://www.viewvc.org/</a><br/>
      </p></li>

      <li><p><b>WebSVN</b><br/>
        <a href="http://websvn.tigris.org/"
                >http://websvn.tigris.org/</a>
      </p></li>

      <li><p><b>Insurrection</b> - Web Access to Subversion<br/>
        <a href="http://insurrection.tigris.org/"
                >http://insurrection.tigris.org/</a><br/>
                Repository at <a href="http://svn.sinz.com/svn/Insurrection/"
                               >http://svn.sinz.com/svn/Insurrection/</a>
      </p></li>

      <li><p><b>Chora</b><br/>
        <a href="http://www.horde.org/chora/"
                >http://www.horde.org/chora/</a>
      </p></li>

      <li><p><b>SVN::RaWeb::Light</b><br/>
        <a href="http://web-cpan.berlios.de/modules/SVN-RaWeb-Light/"
                >http://web-cpan.berlios.de/modules/SVN-RaWeb-Light/</a>
      </p></li>

      <li><p><b>FlexySvn</b><br/>
        <a href="http://www.akbkhome.com/blog.php/View/90/FlexySvn.html"
                >http://www.akbkhome.com/blog.php/View/90/FlexySvn.html</a>
      </p></li>

      <li><p><b>perl_svn</b><br/>
        <a href="http://www.osdevel.org/projects/show/16?lang=en"
                >http://www.osdevel.org/projects/show/16?lang=en</a>
      </p></li>

      <li><p><b>mod_svn_view</b><br/>
        <a href="http://www.outoforder.cc/projects/apache/mod_svn_view/"
                >http://www.outoforder.cc/projects/apache/mod_svn_view/</a>
      </p></li>
  
      <li><p><b>bsSvnBrowser</b><br />
        <a href="https://bssvnbrowser.bountysource.com/docs/install"
                >https://bssvnbrowser.bountysource.com/docs/install</a>
      </p></li>

      <li><p><b>sventon</b> - Java web application for browsing Subversion
        repositories<br/>
        <a href="http://www.sventon.org/"
                >http://www.sventon.org/</a>
      </p></li>
      
      <li><p><b>WebClient for SVN</b> - A web interface for Subversion
        repositories.  Offers browsing and simple write operations.<br/>
        <a href="http://www.polarion.org/index.php?page=overview&amp;project=svnwebclient"
                >http://www.polarion.org/index.php?page=overview&amp;project=svnwebclient</a>
      </p></li>        

      <li><p>See also: <b>Trac</b> and <b>Collaboa</b> in the <a
        href="#high-level-tools"><i>Higher-level tools</i> section above</a>,
        which include repository browsing along with other functionality.
      </p></li>

    </ul>

</div>

<div class="h2" id="misc-utils" title="misc-utils">
<!-- old "misc_utils" id left for compatibility -->
<h2 id="misc_utils">Miscellaneous Utilities</h2>
    <ul>
      <li><p><b>Bugzilla/SVN integration</b> - simple scripts to integrate
        <a href="http://www.bugzilla.org/">Bugzilla</a> with Subversion.<br/>
        <a href="http://sean-janus.optionpc.com/me/software/bugtraq/"
                >http://sean-janus.optionpc.com/me/software/bugtraq/</a>
      </p></li>
      
      <li><p><b>CommitMonitor</b> - Windows tool to monitor repositories for
        new commits.<br />
      <a href="http://tools.tortoisesvn.net/CommitMonitor"
              >http://tools.tortoisesvn.net/CommitMonitor</a>
      </p></li>

      <li><p><b>CQ2SVN</b> - bi-directional integration between
        Subversion and IBM Rational ClearQuest.  Enables users to
        record a set of modified files and developer comments within a
        ClearQuest change record.<br/>
        (<i>closed-source, commercial</i>)
        <br/>
        <a href="http://www.clearvision-cm.com/products/clearquest-subversion-integration.html"
                 >http://www.clearvision-cm.com/products/clearquest-subversion-integration.html</a>
      </p></li>

      <li><p><b>JIRA Subversion plugin</b> - A plugin to integrate
        <a href="http://www.atlassian.com/software/jira/">JIRA</a>
        with Subversion.<br/>
        <a href="http://confluence.atlassian.com/display/JIRAEXT/JIRA+Subversion+plugin"
                >http://confluence.atlassian.com/display/JIRAEXT/JIRA+Subversion+plugin</a>
      </p></li>

      <li><p><b>Piston</b> - "Easy Vendor Branch Management"<br/>
        <a href="http://piston.rubyforge.org/"
                >http://piston.rubyforge.org/</a>
      </p></li>

       <li><p><b>Scord</b> - Reduce the disk space used by a Subversion
	     working copy with large and/or many files.<br/>
	     <a href="http://scord.sourceforge.net/"
	       >http://scord.sourceforge.net/</a>
	   </p></li>

       <li><p><b>Suafe</b> - "Subverion User Authorization File
        Editor." Java Swing GUI application used to edit Subversion
        authz files. Includes a robust command line interface for
        scripting authz file edits.<br/>
      <a href="http://code.google.com/p/suafe/"
              >http://code.google.com/p/suafe/</a>
      </p></li>

       <li><p><b>SupoSE</b> - "Subversion Repository Search Engine."
        Java program to perform full-text keyword search querying of
        entire Subversion repositories (including the history).<br/>
      <a href="http://supose.soebes.de/"
              >http://supose.soebes.de/</a>
      </p></li>

      <li><p><b>SVN Notifier</b> - Windows program to watch repository
        for changes.<br/>
        <a href="http://svnnotifier.tigris.org/"
                >http://svnnotifier.tigris.org/</a>
      </p></li>

      <li><p><b>SvnReporter</b> - Python script to generate various
         reports from Subversion commits.<br/>
      <a href="http://www.calins.ch/software/SvnReporter.html"
              >http://www.calins.ch/software/SvnReporter.html</a>
      </p></li>
      
      <li><p><b>SvnDumpTool</b> - Python classes and front-end script
         to fix eol, export files from, join, merge, split, check...
         Subversion dump files.<br/>
        <a href="http://svn.borg.ch/svndumptool/"
                >http://svn.borg.ch/svndumptool/</a>
      </p></li>
      
      <li><p><b>svn-merge-repos.pl</b> - A basic perl script to
         merge several repositories into one, in date order.<br/>
        <a href="http://www.coelho.net/svn-merge-repos.html"
                >http://www.coelho.net/svn-merge-repos.html</a>
      </p></li>

      <li><p><b>StatSVN</b> - A build tool that generates statistics
        from your repository.  Includes the number of lines of code
        over time, the contributions of each developer, the evolution
        of modules, directories, files, the time and days were most
        checkins happen, etc. It also shows the commit logs and
        integrates out of the box with ViewVC, BugZilla, Chora and
        others.<br/>
        <a href="http://www.statsvn.org">http://www.statsvn.org</a>
      </p></li>

      <li><p><b>VersionLink</b> -  Tool for users of TechExcel DevTrack
        to integrate with Subversion.<br/>
        <a href="http://www.techexcel.com/products/devtrack/subversion.html"
                >http://www.techexcel.com/products/devtrack/subversion.html</a>
      </p></li>

    </ul>

</div>

<div class="h2" id="misc-resources" title="misc-resources">
<!-- old "misc_resources" id left for compatibility -->
<h2 id="misc_resources">Miscellaneous Resources</h2>
    <ul>
      <li><p><b>Conectiva Linux's Subversion documentation</b>
        Very thorough documentation about how one group arranged their
        Subversion repository, standardized processes, etc.<br/>
        <a href="https://moin.conectiva.com.br/RepositorySystem"
                >https://moin.conectiva.com.br/RepositorySystem</a>
      </p></li>

      <li><p><b>Segetech Open Source Rendezvous</b>
        Detailed guide to configuring open source collaboration tools
        such as Subversion, Bugzilla, and MediaWiki so that they work
        in concert.<br/>
        <a href="http://oss.segetech.com/bugzilla-svn-wiki.html"
                >http://oss.segetech.com/bugzilla-svn-wiki.html</a>
      </p></li>

      <li><p><b>SubTrain - Open Source Training Materials</b>
        Open source training materials, including a customizable set
        of slides, aimed at companies migrating to Subversion.<br/>
        <a href="http://www.polarion.org/index.php?page=overview&amp;project=subtrain"
                >http://www.polarion.org/index.php?page=overview&amp;project=subtrain</a>
      </p></li>

    </ul>

</div>

<div class="h2" id="articles" title="articles">
<h2>Articles and Reviews</h2>

    <ul>
      <li><p><b>"CVS is out, Subversion is in"</b> 
        <i>by Chip Turner</i><br />
        <a href="http://www.redhat.com/magazine/010aug05/features/subversion/">
          http://www.redhat.com/magazine/010aug05/features/subversion/</a></p>
      </li>

      <li><p><b>"The Subversion Project: Building a Better CVS"</b> 
        <i>by Ben Collins-Sussman</i><br />
        <a href="http://www.linuxjournal.com/article/4768">
          http://www.linuxjournal.com/article/4768</a></p>
      </li>

      <li><p><b>"Single-User Subversion"</b>
        <i>by Rafael Garcia-Suarez</i><br />
<a href="http://www.onlamp.com/pub/a/onlamp/2002/10/31/subversion.html">
          http://www.onlamp.com/pub/a/onlamp/2002/10/31/subversion.html</a></p>
      </li>

      <li><p><b>"Multiuser Subversion"</b>
        <i>by Rafael Garcia-Suarez</i><br />
        <a href="http://www.onlamp.com/pub/a/apache/2002/12/19/svn2.html">
          http://www.onlamp.com/pub/a/apache/2002/12/19/svn2.html</a></p>
      </li>

      <li><p><b>"Using the Subversion Client API"</b>
        <i>by Garrett Rooney</i><br />
        Part 1: 
<a href="http://www.linuxdevcenter.com/pub/a/linux/2003/04/24/libsvn1.html">
         http://www.linuxdevcenter.com/pub/a/linux/2003/04/24/libsvn1.html</a>
        <br />
        Part 2: 
<a href="http://www.linuxdevcenter.com/pub/a/linux/2003/05/15/libsvn2.html">
       http://www.linuxdevcenter.com/pub/a/linux/2003/05/15/libsvn2.html</a></p>
      </li>

      <li><p><b>Subversion articles</b>
        <i>by Shlomi Fish</i><br />
        <a href="http://better-scm.berlios.de/docs/shlomif-evolution.html">
          http://better-scm.berlios.de/docs/shlomif-evolution.html</a><br />
<a href="http://better-scm.berlios.de/subversion/compelling_alternative.html">
         http://better-scm.berlios.de/subversion/compelling_alternative.html
        </a></p>
      </li>

      <li><p><b>"Subversion for CVS Users"</b>
        <i>by Mike Mason</i><br />
        <a href="http://osdir.com/Article203.phtml">
          http://osdir.com/Article203.phtml</a><br />
 <a href="http://slashdot.jp/journal.pl?op=display&amp;uid=12&amp;id=200792">
          http://slashdot.jp/journal.pl?op=display&amp;uid=12&amp;id=200792</a>
          (Japanese translation)</p>
      </li>

      <li><p><b>"Dispelling Subversion FUD"</b>
        <i>by Ben Collins-Sussman</i><br />
        <a href="http://www.red-bean.com/sussman/svn-anti-fud.html">
          http://www.red-bean.com/sussman/svn-anti-fud.html</a></p>
      </li>

      <li><p><b>"Debunking BitMover's Subversion Comparison"</b>
          <i>by Karl Fogel</i><br />
        <a href="http://subversion.tigris.org/bitmover-svn.html"
                >http://subversion.tigris.org/bitmover-svn.html</a></p>
      </li>

      <li><p><b>The "Better SCM" version control systems comparison:</b><br />
      <a href="http://better-scm.berlios.de/comparison/"
              >http://better-scm.berlios.de/comparison/</a></p>
      </li>

    </ul>

</div>

<div class="h2" id="other-links-pages" title="other-links-pages">
<!-- old "other_link_pages" id left for compatibility -->
<h2 id="other_link_pages">Other Subversion link pages</h2>
    <ul>
      <li>
        <a href="http://www.arhs.net/Computers/Software/ConfigurationManagement/Tools/Subversion/"
         >http://www.arhs.net/Computers/Software/ConfigurationManagement/Tools/Subversion/</a>
      </li>

      <li>
        <a href="http://dmoz.org/Computers/Software/Configuration_Management/Tools/Subversion/"
         >http://dmoz.org/Computers/Software/Configuration_Management/Tools/Subversion/</a>
      </li>

      <li>
        <a href="http://www.oreillynet.com/search/index.ncsp?sp-k=all&amp;sp-q=subversion"
         >http://www.oreillynet.com/search/index.ncsp?sp-k=all&amp;sp-q=subversion</a>
      </li>
    </ul>

</div>

</div>
</body>
</html>
